mysqld--help-notwin fails in mysql-55-eb

Bug #786236 reported by Alexey Kopytov on 2011-05-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
percona-projects-qa
Medium
Laurynas Biveinis

Bug Description

main.mysqld--help-notwin [ fail ]
        Test ended at 2011-05-21 20:46:26

CURRENT_TEST: main.mysqld--help-notwin
--- /Users/kaa/src/launchpad/mysql-55-eb/mysql-test/r/mysqld--help-notwin.result 2011-05-16 15:29:19.000000000 +0300
+++ /Users/kaa/src/launchpad/mysql-55-eb/mysql-test/r/mysqld--help-notwin.reject 2011-05-21 19:46:26.000000000 +0300
@@ -148,6 +148,11 @@
  With this option enabled you can run myisamchk to test
  (not repair) tables while the MySQL server is running.
  Disable with --skip-external-locking.
+ --extra-max-connections=#
+ The number of connections on the 'extra_port'.
+ --extra-port=# Extra port number to use for tcp-conections in a
+ one-thread-per-connection manner. 0 means don't use
+ another port.
  --flush Flush MyISAM tables to disk between SQL commands
  --flush-time=# A dedicated thread is created to flush all tables at the
  given interval
@@ -773,6 +778,8 @@
 event-scheduler OFF
 expire-logs-days 0
 external-locking FALSE
+extra-max-connections 1
+extra-port 0
 flush FALSE
 flush-time 0
 ft-boolean-syntax + -><()~*:""&|

mysqltest: Result content mismatch

Changed in percona-projects-qa:
status: New → Confirmed
Alexey Kopytov (akopytov) wrote :

I've been observing this one for a while in my mtr runs. Though I forgot to target it to appropriate milestone when reporting initially. Looks a trivial fix.

Changed in percona-projects-qa:
milestone: none → 5.5.13-eb
assignee: nobody → Laurynas Biveinis (laurynas-biveinis)

Fixed already in rev. 3484.

Changed in percona-projects-qa:
status: Confirmed → Fix Committed
importance: Undecided → Medium
Alexey Kopytov (akopytov) wrote :

Still fails for me, but in a different way now. I know it's because I compiled without thread pool support. But I think we still want the test to pass in this case.

main.mysqld--help-notwin [ fail ]
        Test ended at 2011-05-31 08:45:58

CURRENT_TEST: main.mysqld--help-notwin
--- /Users/kaa/src/launchpad/mysql-55-eb/mysql-test/r/mysqld--help-notwin.result 2011-05-28 17:58:39.000000000 +0300
+++ /Users/kaa/src/launchpad/mysql-55-eb/mysql-test/r/mysqld--help-notwin.reject 2011-05-31 07:45:58.000000000 +0300
@@ -707,9 +707,6 @@
  Define threads usage for handling queries, one of
  one-thread-per-connection, no-threads,
  loaded-dynamically, pool-of-threads
- --thread-pool-size=#
- How many threads we should create to handle query
- requests in case of 'thread_handling=pool-of-threads'.
  --thread-stack=# The stack size for each thread
  --time-format=name The TIME format (ignored)
  --timed-mutexes Specify whether to time mutexes (only InnoDB mutexes are
@@ -956,7 +953,6 @@
 tc-heuristic-recover COMMIT
 thread-cache-size 0
 thread-handling one-thread-per-connection
-thread-pool-size 20
 thread-stack 262144
 time-format %H:%i:%s
 timed-mutexes FALSE

I suggest we add thread-pool-size to the list of ignored variables (@skipvars in include/mysqld--help.inc) and update the .result file accordingly. That is:

=== modified file 'mysql-test/include/mysqld--help.inc'
--- mysql-test/include/mysqld--help.inc 2010-09-30 13:52:39 +0000
+++ mysql-test/include/mysqld--help.inc 2011-05-31 04:48:12 +0000
@@ -18,7 +18,8 @@ perl;
   # their paths may vary:
   @skipvars=qw/basedir open-files-limit general-log-file log plugin-dir
                log-slow-queries pid-file slow-query-log-file
- datadir slave-load-tmpdir tmpdir socket/;
+ datadir slave-load-tmpdir tmpdir socket
+ thread-pool-size/;

   # Plugins which may or may not be there:
   @plugins=qw/innodb ndb archive blackhole federated partition ndbcluster debug temp-pool ssl des-key-file

=== modified file 'mysql-test/r/mysqld--help-notwin.result'
--- mysql-test/r/mysqld--help-notwin.result 2011-05-27 10:29:52 +0000
+++ mysql-test/r/mysqld--help-notwin.result 2011-05-31 04:48:59 +0000
@@ -707,9 +707,6 @@
  Define threads usage for handling queries, one of
  one-thread-per-connection, no-threads,
  loaded-dynamically, pool-of-threads
- --thread-pool-size=#
- How many threads we should create to handle query
- requests in case of 'thread_handling=pool-of-threads'.
  --thread-stack=# The stack size for each thread
  --time-format=name The TIME format (ignored)
  --timed-mutexes Specify whether to time mutexes (only InnoDB mutexes are
@@ -956,7 +953,6 @@ table-open-cache 400
 tc-heuristic-recover COMMIT
 thread-cache-size 0
 thread-handling one-thread-per-connection
-thread-pool-size 20
 thread-stack 262144
 time-format %H:%i:%s
 timed-mutexes FALSE

Valentine Gostev (longbow) wrote :

Checking at the latest rev:

[root@localhost mysql-test]# bzr version-info
revision-id: <email address hidden>
date: 2011-05-31 11:33:25 +0300
build-date: 2011-05-31 12:45:33 -0700
revno: 3483

main.mysqld--help-notwin [ fail ]
        Test ended at 2011-05-31 12:41:48

CURRENT_TEST: main.mysqld--help-notwin
--- /mnt/x25m/gval/r3483/mysql-test/r/mysqld--help-notwin.result 2011-05-31 19:49:21.044337000 +0300
+++ /mnt/x25m/gval/r3483/mysql-test/r/mysqld--help-notwin.reject 2011-05-31 22:41:48.787953800 +0300
@@ -707,6 +707,9 @@
  Define threads usage for handling queries, one of
  one-thread-per-connection, no-threads,
  loaded-dynamically, pool-of-threads
+ --thread-pool-size=#
+ How many threads we should create to handle query
+ requests in case of 'thread_handling=pool-of-threads'.
  --thread-stack=# The stack size for each thread
  --time-format=name The TIME format (ignored)
  --timed-mutexes Specify whether to time mutexes (only InnoDB mutexes are

mysqltest: Result content mismatch

Changed in percona-projects-qa:
status: Fix Committed → Confirmed
Alexey Kopytov (akopytov) wrote :

Pushed a fix for the failure reported in the last comment.

Changed in percona-projects-qa:
status: Confirmed → Fix Committed
Changed in percona-projects-qa:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers